Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: [email-masked] (Linas Vepstas)
Date: Fri, 17 Nov 2006 12:11:33 -0600

On Fri, Nov 17, 2006 at 03:44:00PM +1100, Michael Ellerman wrote:
> On Fri, 2006-11-17 at 15:31 +1100, Stephen Rothwell wrote:
> > One small nit ...
> > 
> > On Fri, 17 Nov 2006 14:36:35 +1100 Michael Ellerman <[email-masked]> wrote:
> > >
> > > +static int __init pseries_cpu_hotplug_init(void)
> > > +{
> > > +	rtas_stop_self_args.token = rtas_token("stop-self");
> > > +	qcss_tok = rtas_token("query-cpu-stopped-state");
> > > +
> > > +	if (rtas_stop_self_args.token == RTAS_UNKNOWN_SERVICE ||
> > > +			qcss_tok == RTAS_UNKNOWN_SERVICE)
> > > +		return 1;
> > 
> > initcall fucntions should return 0 or -<error>;  -ENODEV is ignored,
> > other nonzero values cause a log message if initcall debugging is enabled.
> 
> OK. I wanted to return an error, so there's something in the log to show
> that cpu hotplug was disabled - but I didn't check what to return. I'll
> fix it up on Monday to return -ENOENT.

I presume the default config from RedHat/SuSE is to have
CONFIG_HOTPLUG_CPU turned on. In this case, all sorts of 
pseries boxes will spew a warning. I suppose this is a 
form of subliminal advertising: "Hey Schmo, upgrade your 
box to something that supports CPU hotplug!". 

--linas